import { api } from "./fetch";


var CryptoJS = require("crypto-js");

// 登录 传参 data => mail_addr, password, update_time
export function login(data) {
  var sign = CryptoJS.MD5(JSON.stringify(data).replace(/\"/g,"'")).toString().toUpperCase();
  data.sign = sign
  let params = new URLSearchParams();
  params.append('data', JSON.stringify(data));
  return api.post('/login', params)
}

// 激活 传参 data => uuid mail_addr
export function activation(data) {
  var sign = CryptoJS.MD5(JSON.stringify(data).replace(/\"/g,"'")).toString().toUpperCase();
  data.sign = sign
  let params = new URLSearchParams();
  params.append('data', JSON.stringify(data));
  return api.post('/activation', params)
}

// 更新本地 传参 data => mail_addr password
export function syncLocal(data) {
  var sign = CryptoJS.MD5(JSON.stringify(data).replace(/\"/g,"'")).toString().toUpperCase();
  data.sign = sign
  let params = new URLSearchParams();
  params.append('data', JSON.stringify(data));
  return api.post('/download', params)
}

// 更新云端 传参 data => mail_addr password codebook update_time
export function syncCloud(data) {
  var sign = CryptoJS.MD5(JSON.stringify(data).replace(/\"/g,"'")).toString().toUpperCase();
  data.sign = sign
  let params = new URLSearchParams();
  params.append('data', JSON.stringify(data));
  return api.post('/upload', params)
}